Package com.clickhouse.jdbc

# Class ClickHouseXml

java.lang.Object
com.clickhouse.jdbc.ClickHouseXml

All Implemented Interfaces:
  `SQLXML`

public class ClickHouseXml extends Object implements SQLXML

## Constructor Summary

Constructors
Constructor
Description
`ClickHouseXml()`

## Method Summary

Modifier and Type
Method
Description
`void`
`free()`
`InputStream`
`getBinaryStream()`
`Reader`
`getCharacterStream()`
`<T extends Source>
T`
`getSource(Class<T> sourceClass)`
`String`
`getString()`
`OutputStream`
`setBinaryStream()`
`Writer`
`setCharacterStream()`
`<T extends Result>
T`
`setResult(Class<T> resultClass)`
`void`
`setString(String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ClickHouseXml

public ClickHouseXml()

## Method Details

### free

public void free() throws SQLException

Specified by:
  `free` in interface `SQLXML`
Throws:
  `SQLException`

### getBinaryStream

public InputStream getBinaryStream() throws SQLException

Specified by:
  `getBinaryStream` in interface `SQLXML`
Throws:
  `SQLException`

### setBinaryStream

public OutputStream setBinaryStream() throws SQLException

Specified by:
  `setBinaryStream` in interface `SQLXML`
Throws:
  `SQLException`

### getCharacterStream

public Reader getCharacterStream() throws SQLException

Specified by:
  `getCharacterStream` in interface `SQLXML`
Throws:
  `SQLException`

### setCharacterStream

public Writer setCharacterStream() throws SQLException

Specified by:
  `setCharacterStream` in interface `SQLXML`
Throws:
  `SQLException`

### getString

public String getString() throws SQLException

Specified by:
  `getString` in interface `SQLXML`
Throws:
  `SQLException`

### setString

public void setString(String value) throws SQLException

Specified by:
  `setString` in interface `SQLXML`
Throws:
  `SQLException`

### getSource

public <T extends Source> T getSource(Class<T> sourceClass) throws SQLException

Specified by:
  `getSource` in interface `SQLXML`
Throws:
  `SQLException`

### setResult

public <T extends Result> T setResult(Class<T> resultClass) throws SQLException

Specified by:
  `setResult` in interface `SQLXML`
Throws:
  `SQLException`